[openssh-commits] [openssh] branch master updated: Make FIDO2 packages optional.
git+noreply at mindrot.org
git+noreply at mindrot.org
Tue Aug 18 18:04:58 AEST 2026
This is an automated email from the git hooks/post-receive script.
dtucker pushed a commit to branch master
in repository openssh.
The following commit(s) were added to refs/heads/master by this push:
new c8ee95a50 Make FIDO2 packages optional.
c8ee95a50 is described below
commit c8ee95a50d3e28d2c638ebc566c145ca014472d0
Author: Darren Tucker <dtucker at dtucker.net>
AuthorDate: Tue Aug 18 18:02:32 2026 +1000
Make FIDO2 packages optional.
The Yubico PPA doesn't have the full set of versions+arch packages, so
continue if a given install fails. Should fix tests on
ubuntu-26.04-arm.
---
.github/setup_ci.sh | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)
diff --git a/.github/setup_ci.sh b/.github/setup_ci.sh
index ea816258a..aff40ea88 100755
--- a/.github/setup_ci.sh
+++ b/.github/setup_ci.sh
@@ -141,7 +141,6 @@ for TARGET in $TARGETS; do
;;
sk)
INSTALL_FIDO_PPA="yes"
- PACKAGES="$PACKAGES libfido2-dev libu2f-host-dev libcbor-dev"
;;
selinux)
PACKAGES="$PACKAGES libselinux1-dev selinux-policy-dev libaudit-dev"
@@ -204,7 +203,9 @@ done
if [ "yes" = "$INSTALL_FIDO_PPA" ]; then
sudo apt update -qq
sudo apt install -qy software-properties-common
- sudo apt-add-repository -y ppa:yubico/stable
+ # Not all release+arch combinations have this, so optionally install.
+ sudo apt-add-repository -y ppa:yubico/stable && \
+ sudo apt install libfido2-dev libu2f-host-dev libcbor-dev || true
fi
tries=3
--
To stop receiving notification emails like this one, please contact
djm at mindrot.org.
More information about the openssh-commits
mailing list